ClientAttachment (gCube Social Networking Library 1.16.1-SNAPSHOT API)
Date: 2019-09-24

org.gcube.portal.databook.shared

## Class ClientAttachment

- java.lang.Object
- - org.gcube.portal.databook.shared.ClientAttachment

-     @JsType(isNative=true,
              namespace="<global>",
              name="Object")
      public class ClientAttachment
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `description`
    `String` | `id`
    `String` | `mimeType`
    `String` | `name`
    `String` | `thumbnailURL`
    `String` | `uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAttachment()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientAttachment` | `create(String id, String uri, String name, String description, String thumbnailURL, String mimeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

    - #### uri

          public String uri

    - #### name

          public String name

    - #### description

          public String description

    - #### thumbnailURL

          public String thumbnailURL

    - #### mimeType

          public String mimeType

  - ### Constructor Detail

    - #### ClientAttachment

          public ClientAttachment()

  - ### Method Detail

    - #### create

          @JsOverlay
          public static ClientAttachment create(String id,
                                                           String uri,
                                                           String name,
                                                           String description,
                                                           String thumbnailURL,
                                                           String mimeType)

      Parameters:
        `id` - the id in the cassandra CF
        `uri` - where you can download the file from
        `name` - the name of the attached file
        `description` - the description of the attached file
        `thumbnailURL` - the URL of the image representing the attached file
        `mimeType` - the type of file

Copyright © 2019. All Rights Reserved.